Bug 16717 - Remove hardcoded category from Holds.t
Summary: Remove hardcoded category from Holds.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 07:53 UTC by Marcel de Rooy
Modified: 2017-12-07 22:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16717: Remove hardcoded category from Holds.t (1.46 KB, patch)
2016-06-13 07:56 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16717: Remove hardcoded category from Holds.t (1.57 KB, patch)
2016-06-13 08:19 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16717: Remove hardcoded category from Holds.t (1.64 KB, patch)
2016-06-14 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16717: Improve variable naming (1.34 KB, patch)
2016-06-14 10:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-06-13 07:53:59 UTC
This patch comes from report 16607. With a limited scope it needed its own report.
Comment 1 Marcel de Rooy 2016-06-13 07:56:25 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-06-13 08:19:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-14 10:20:47 UTC
Created attachment 52363 [details] [review]
Bug 16717: Remove hardcoded category from Holds.t

There is actually no need to use the hardcoded patron category S in
this test.

Test plan:
Run t/db_dependent/Holds.t.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Test passes OK
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-06-14 10:20:51 UTC
Created attachment 52364 [details] [review]
Bug 16717: Improve variable naming

$category was a categorycode, to help the readability it's better to
name it $categorycode or assign a Category to $category

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2016-06-17 14:46:28 UTC
Pushed to master for Koha 16.11, thanks Marcel!
Comment 6 Frédéric Demians 2016-06-24 05:46:35 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 7 Julian Maurice 2016-07-01 07:05:17 UTC
Patches pushed to 3.22.x, will be in 3.22.9